Bug 975212 - Cannot install a2ps due to broken dependencies. [NEEDINFO]
Cannot install a2ps due to broken dependencies.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: a2ps (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tim Waugh
QE Internationalization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 16:12 EDT by Nick Bowler
Modified: 2014-10-22 13:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-22 13:06:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
twaugh: needinfo? (nbowler)


Attachments (Terms of Use)

  None (edit)
Description Nick Bowler 2013-06-17 16:12:34 EDT
Description of problem:

Cannot install a2ps due to broken dependencies.

Version-Release number of selected component (if applicable):

a2ps.x86_64 0:4.14-10.1.el6

How reproducible:

Happens every time.

Steps to Reproduce:
1. yum install a2ps

Actual results:

# yum install a2ps        
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security,
              : subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package a2ps.x86_64 0:4.14-10.1.el6 will be installed
--> Processing Dependency: texinfo-tex for package: a2ps-4.14-10.1.el6.x86_64
--> Processing Dependency: psutils-perl for package: a2ps-4.14-10.1.el6.x86_64
--> Processing Dependency: html2ps for package: a2ps-4.14-10.1.el6.x86_64
--> Processing Dependency: groff-perl for package: a2ps-4.14-10.1.el6.x86_64
--> Running transaction check
---> Package a2ps.x86_64 0:4.14-10.1.el6 will be installed
--> Processing Dependency: texinfo-tex for package: a2ps-4.14-10.1.el6.x86_64
--> Processing Dependency: psutils-perl for package: a2ps-4.14-10.1.el6.x86_64
--> Processing Dependency: groff-perl for package: a2ps-4.14-10.1.el6.x86_64
---> Package html2ps.noarch 0:1.0-0.4.b5.el6 will be installed
--> Processing Dependency: perl(Image::Magick) for package: html2ps-1.0-0.4.b5.el6.noarch
--> Processing Dependency: /usr/bin/paperconf for package: html2ps-1.0-0.4.b5.el6.noarch
--> Processing Dependency: /usr/bin/paperconf for package: html2ps-1.0-0.4.b5.el6.noarch
--> Finished Dependency Resolution
Error: Package: a2ps-4.14-10.1.el6.x86_64 (epel)
           Requires: groff-perl
Error: Package: html2ps-1.0-0.4.b5.el6.noarch (epel)
           Requires: /usr/bin/paperconf
Error: Package: a2ps-4.14-10.1.el6.x86_64 (epel)
           Requires: texinfo-tex
Error: Package: html2ps-1.0-0.4.b5.el6.noarch (epel)
           Requires: perl(Image::Magick)
Error: Package: a2ps-4.14-10.1.el6.x86_64 (epel)
           Requires: psutils-perl
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:

Package should install successfully.

Additional info:

Neither of the suggested workarounds appear to do anything.
Comment 2 Tim Waugh 2013-06-18 09:42:53 EDT
What output do you get from 'yum repolist'?
Comment 3 Vojtech Pithart 2013-07-19 08:12:30 EDT
Hi, 
we had the same problem.

All required packages are in rhel-6-server-optional-rpms repository. You have to enable this repository in /etc/yum.repos.d/redhat.repo.

Is it helpfull?

VoPi
Comment 4 RHEL Product and Program Management 2013-10-13 19:28:37 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.